Skip to main content
GET
/
v1
/
financials
/
{cik}
/
income
Income statements
curl --request GET \
  --url https://api.ivory.finance/v1/financials/{cik}/income \
  --header 'X-API-Key: <api-key>'
[
  {
    "accession_number": "<string>",
    "cik": "<string>",
    "ticker": "<string>",
    "report_period": "2023-12-25",
    "fiscal_year": 123,
    "fiscal_period_code": "<string>",
    "period_type": "<string>",
    "revenue": 123,
    "cost_of_revenue": 123,
    "gross_profit": 123,
    "operating_expense": 123,
    "research_and_development": 123,
    "selling_general_and_administrative_expenses": 123,
    "operating_income": 123,
    "ebit": 123,
    "net_income": 123,
    "earnings_per_share": 123,
    "earnings_per_share_diluted": 123,
    "weighted_average_shares": 123,
    "weighted_average_shares_diluted": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

cik
string
required

Query Parameters

fiscal_year
integer | null
period
string | null

FY, Q1, Q2, Q3, or Q4

limit
integer
default:8
Required range: 1 <= x <= 40

Response

Successful Response

accession_number
string
required
cik
string | null
ticker
string | null
report_period
string<date> | null
fiscal_year
integer | null
fiscal_period_code
string | null
period_type
string | null
revenue
number | null
cost_of_revenue
number | null
gross_profit
number | null
operating_expense
number | null
research_and_development
number | null
selling_general_and_administrative_expenses
number | null
operating_income
number | null
ebit
number | null
net_income
number | null
earnings_per_share
number | null
earnings_per_share_diluted
number | null
weighted_average_shares
number | null
weighted_average_shares_diluted
number | null